Change 126 on 2006/04/20 16:19:10 by wave++ <wavexx@users.sf.net>

	Different handling of traces.

Change 125 on 2006/04/11 12:12:57 by wave++ <wavexx@users.sf.net>

	Do not depend on GCC 'inline' behaviour.

Change 124 on 2006/04/11 11:28:51 by wave++ <wavexx@users.sf.net>

	Fixing debian's #360935 "the proper way": nobody sayd ppp_defs.h
	is linux/glibc specific. __u stuff already removed in prev. changes.

Change 123 on 2006/04/11 10:48:04 by wave++ <wavexx@users.sf.net>

	Merged documentation from the webpage (README/wmndrc is now up-to-date).

Change 122 on 2006/04/10 00:46:34 by wave++ <wavexx@users.sf.net>

	Reworked docs in rst syntax.

Change 121 on 2006/04/09 23:11:41 by wave++ <wavexx@users.sf.net>

	Final adjustement of configure.ac (removed acinclude macros,
	use conventional naming for configure flags, print final status
	on exit, update drivers list/flag names in docs).

Change 120 on 2006/04/08 17:44:54 by wave++ <wavexx@users.sf.net>

	Remove gpl.[tex]info (there's COPYING already).

Change 119 on 2006/04/08 17:38:04 by wave++ <wavexx@users.sf.net>

	Use AC_C_INLINE from newer autoconf instead of hand-made.

Change 118 on 2006/04/08 17:15:52 by wave++ <wavexx@users.sf.net>

	Integrated NetBSD ioctl driver (modified) from Rui Paulo.

Change 117 on 2006/04/07 17:03:47 by wave++ <wavexx@users.sf.net>

	_init/_term handlers now optional.

Change 116 on 2006/04/07 16:55:02 by wave++ <wavexx@users.sf.net>

	Block INT/TERM in during polling.
	Added per-driver termination handlers (but not converted any
	driver to use it -- thinking about generic_snmp).

Change 115 on 2006/04/07 16:26:18 by wave++ <wavexx@users.sf.net>

	Missed some configure.ac stuff in last submission.

Change 114 on 2006/04/07 16:05:34 by wave++ <wavexx@users.sf.net>

	Handle both 32 and 64bits builds on solaris correctly.

Change 113 on 2006/04/07 16:03:25 by wave++ <wavexx@users.sf.net>

	configure update (removed some old stuff, use more predef. macros).
	bump release to 0.4.12 and copyright dates update.

Change 112 on 2006/04/07 16:01:25 by wave++ <wavexx@users.sf.net>

	Uniform include barriers.

Change 111 on 2006/01/22 12:11:56 by wave++ <wavexx@users.sf.net>

	Solaris 7 build fixes.

Change 110 on 2005/11/10 20:39:46 by wave++ <wavexx@users.sf.net>

	removed unsafe devices_restart/SIGUSR1 (near to useless anyway).

Change 109 on 2005/11/10 20:32:55 by wave++ <wavexx@users.sf.net>

	auto-changelog renumbers changes correctly.

Change 108 on 2005/11/10 20:13:21 by wave++ <wavexx@users.sf.net>

	reap childs.

Change 107 on 2004/10/21 20:00:42 by wave++ <wavexx@users.sf.net>

	0.4.11 release notes and docs.

Change 106 on 2004/10/21 19:14:33 by wave++ <wavexx@users.sf.net>

	Added --enable-trend conditional. Release to 0.4.11.

Change 105 on 2004/10/21 19:13:43 by wave++ <wavexx@users.sf.net>

	Regions are now identified by defines, no longer hardcoded.
	Added support for trend (it's amazing how I found another
	spare zone to use in the pixmap!).

Change 104 on 2004/09/13 12:53:48 by wave++ <wavexx@users.sf.net>

	Fixed generic_snmp by probing both ifName and ifDescr (required
	for interoperation with Debian Sarge, closes #253109).
	Release bump to 0.4.10 and release notes.

Change 103 on 2004/09/07 19:19:40 by wave++ <wavexx@users.sf.net>

	Fix some [darn] new autoconf warnings.

Change 102 on 2004/05/03 13:02:55 by wave++ <wavexx@users.sf.net>

	Added a geometry flag (-g).

Change 101 on 2004/05/03 01:43:51 by wave++ <wavexx@users.sf.net>

	write_conf now writes only changed values.
	changed release to 0.4.9.

Change 100 on 2004/04/10 23:40:51 by wave++ <wavexx@users.sf.net>

	Pre-prelease lint.

Change 99 on 2004/04/10 23:21:34 by wave++ <wavexx@users.sf.net>

	Support for fixed scales in the bytes modes.

Change 98 on 2004/04/10 20:02:04 by wave++ <wavexx@users.sf.net>

	testing_dummy_list now skips the initialization if a device name is
	provided so the user doesn't think it does something.

Change 97 on 2004/04/10 18:55:57 by wave++ <wavexx@users.sf.net>

	Integrated support for mouse wheel.

Change 96 on 2004/04/10 18:08:02 by wave++ <wavexx@users.sf.net>

	Documentation about the new linux_proc functionalities.
	Bumped release to 0.4.8.

Change 95 on 2004/03/12 16:15:52 by wave++ <wavexx@users.sf.net>

	Support for linux multiple interfaces (separated by commas)
	on the command line.

Change 94 on 2004/03/12 13:59:56 by wave++ <wavexx@users.sf.net>

	Added the %style substitution on command triggers.

Change 93 on 2004/03/08 00:30:44 by wave++ <wavexx@users.sf.net>

	linux_proc_get should check for fopen failures.

Change 92 on 2003/11/16 04:49:16 by wave++ <wavexx@users.sf.net>

	implementazione parziale della gestione della scala fissa.

Change 91 on 2003/06/09 01:30:00 by wave++ <wavexx@users.sf.net>

	Old release transition notes.

Change 90 on 2003/06/09 01:24:03 by wave++ <wavexx@users.sf.net>

	Fixed the copyright informations to match GPL requirements. Changed the url
	to the reed site.

Change 89 on 2003/06/09 01:21:08 by wave++ <wavexx@users.sf.net>

	Changed the link to the original Reed site (avoid the redirection).

Change 88 on 2003/06/05 09:48:52 by wave++ <wavexx@users.sf.net>

	New Ideas from Jeff.

Change 87 on 2003/06/04 10:36:10 by wave++ <wavexx@users.sf.net>

	Notes for afterstep users.

Change 86 on 2003/06/04 10:34:14 by wave++ <wavexx@users.sf.net>

	Updated the embedded wmndrc. Added the -n switch.

Change 85 on 2003/06/04 10:29:54 by wave++ <wavexx@users.sf.net>

	Fixed some spelling errors. Added the description about "name". Changed the
	description for "smooth".

Change 84 on 2003/06/04 10:07:49 by wave++ <wavexx@users.sf.net>

	Some release notes about 0.4.7.

Change 83 on 2003/06/04 10:07:37 by wave++ <wavexx@users.sf.net>

	New release 0.4.7.

Change 82 on 2003/06/04 09:48:32 by wave++ <wavexx@users.sf.net>

	The 'max' history must be cleaned with 'zeroes', not with the current
	packet/bytes counters. It is calculated later automatically.

Change 81 on 2003/06/04 09:39:13 by wave++ <wavexx@users.sf.net>

	Some more code cleanup.

Change 80 on 2003/06/04 09:25:08 by wave++ <wavexx@users.sf.net>

	Some code cleanup. Fixed a bad cast.

Change 79 on 2003/06/04 09:24:41 by wave++ <wavexx@users.sf.net>

	Some code cleanup.

Change 78 on 2003/06/03 20:25:47 by wave++ <wavexx@users.sf.net>

	Fixed the wmnd.scroll bug again for INEXACT_TIMING. Note also that I do no
	longer 'smooth' packets (quite useless). I can now use theyr values to make the
	leds blink happy again!

Change 77 on 2003/06/03 20:20:46 by wave++ <wavexx@users.sf.net>

	Fixed a bad cast in scale. Use wmnd.scroll instead of the fixed '10' value
	for average stats.

Change 76 on 2003/06/03 17:49:23 by wave++ <wavexx@users.sf.net>

	Removed the 'twinkling' problem when averaging.

Change 75 on 2003/06/03 17:34:52 by wave++ <wavexx@users.sf.net>

	Use the real time gap beween updates to scale the metrics. This will give
	extra precision, but it may cause values to 'twinkle' even if -S is specified.
	Use res_name and res_class instead of name/class to not clash with c++ "class"
	keyword.

Change 74 on 2003/06/03 15:18:57 by wave++ <wavexx@users.sf.net>

	Better formatting of the --help messages. Swich some code to use
	the AC_ARG_EC macro. Added the INEXACT_TIMING macro upon request.

Change 73 on 2003/06/03 14:32:05 by wave++ <wavexx@users.sf.net>

	New function AC_ARG_EC for reducing the duplicate code inside configure.ac.
	Reformatting of the help strings is now correct (no line wraps).

Change 72 on 2003/06/03 14:30:36 by wave++ <wavexx@users.sf.net>

	Some notes about the driver subsystem.

Change 71 on 2003/06/03 11:58:46 by wave++ <wavexx@users.sf.net>

	Reintroduced the time-based check in order to remove cumulative errors.
	Probably beat_gap should be used to do perfect rates.

Change 70 on 2003/06/03 11:29:24 by wave++ <wavexx@users.sf.net>

	Spelling errors on some comments.

Change 69 on 2003/05/31 23:29:41 by wave++ <wavexx@users.sf.net>

	Added the ability to change the WMND class/title name, in order to separate
	icons into the wharf bar. Requested by "David" <davidw@burst.net>.

Change 68 on 2003/05/31 23:22:15 by wave++ <wavexx@users.sf.net>

	Some spell fixes.

Change 67 on 2003/05/15 18:03:05 by wave++ <wavexx@users.sf.net>

	News about WMND 0.4.6.

Change 66 on 2003/05/15 18:02:51 by wave++ <wavexx@users.sf.net>

	Descriptive issues about ifDescr/ifName (generic_snmp).

Change 65 on 2003/05/15 17:44:11 by wave++ <wavexx@users.sf.net>

	Use ifName instead of ifDescr by default but allow the user to switch back
	in case it uses a buggy firmware vendor.

Change 64 on 2003/05/15 17:43:03 by wave++ <wavexx@users.sf.net>

	Bumped version to 0.4.6 and added an ifName/ifDescr configuration flag.
	See the README for more informations.

Change 63 on 2003/05/15 17:16:17 by wave++ <wavexx@users.sf.net>

	silly typo that makes some test implementations spiffy.

Change 62 on 2003/04/10 00:06:36 by wave++ <wavexx@users.sf.net>

	notes about sine-dummy.

Change 61 on 2003/04/10 00:05:03 by wave++ <wavexx@users.sf.net>

	Changed some drivers to use devices_append.

Change 60 on 2003/04/09 23:48:34 by wave++ <wavexx@users.sf.net>

	Cast checks.

Change 59 on 2003/04/09 23:33:08 by wave++ <wavexx@users.sf.net>

	Some packager's notes.

Change 58 on 2003/04/09 23:18:31 by wave++ <wavexx@users.sf.net>

	Notes about driver parameters (driver_interface, or -I).

Change 57 on 2003/04/09 23:17:57 by wave++ <wavexx@users.sf.net>

	Notes about generic_snmp.

Change 56 on 2003/04/09 14:34:40 by wave++ <wavexx@users.sf.net>

	Informations about the generic_snmp driver.

Change 55 on 2003/04/09 13:07:05 by wave++ <wavexx@users.sf.net>

	News about the sounding new release.

Change 54 on 2003/04/09 13:06:39 by wave++ <wavexx@users.sf.net>

	config.h.in is now handled correctly by automake.

Change 53 on 2003/04/08 20:25:00 by wave++ <wavexx@users.sf.net>

	Ignore vim swap files.

Change 52 on 2003/04/08 20:24:43 by wave++ <wavexx@users.sf.net>

	Added an helper functions to push devices into the devices list, and
	added the generic_snmp driver.

Change 51 on 2003/04/08 20:24:00 by wave++ <wavexx@users.sf.net>

	Test for generic_snmp that uses net-snmp >= 5

Change 50 on 2003/04/08 20:23:35 by wave++ <wavexx@users.sf.net>

	Added the generic_snmp driver into the drivers list.

Change 49 on 2003/02/10 12:59:29 by wave++ <wavexx@users.sf.net>

	Changed the website (www.hydra.ubiest.com) to the new domain www.yuv.info.

Change 48 on 2003/01/27 21:56:08 by wave++ <wavexx@users.sf.net>

	added config.h.in to the distribution (manually!)

Change 47 on 2003/01/19 19:39:40 by wave++ <wavexx@users.sf.net>

	Added addictional compilations notes for IRIX.

Change 46 on 2003/01/14 17:57:34 by wave++ <wavexx@users.sf.net>

	changed the revision number to 4a

Change 45 on 2003/01/14 17:49:42 by wave++ <wavexx@users.sf.net>

	use configure-ed values for __u8 and __u32

Change 44 on 2003/01/14 17:49:04 by wave++ <wavexx@users.sf.net>

	Added extended checks for determining a correct 32 bits type

Change 43 on 2003/01/12 17:20:36 by wave++ <wavexx@users.sf.net>

	ChangeLog.0 must be included into the distribution

Change 42 on 2003/01/12 17:18:17 by wave++ <wavexx@users.sf.net>

	WMND rc, not WMND config

Change 41 on 2003/01/12 17:11:37 by wave++ <wavexx@users.sf.net>

	ephemeral bug :), display the correct name when forcing an interface using linux_proc

Change 40 on 2003/01/12 16:57:29 by wave++ <wavexx@users.sf.net>

	added infos about testing_dummy

Change 39 on 2003/01/12 16:57:14 by wave++ <wavexx@users.sf.net>

	corrected the url of PCP

Change 38 on 2003/01/12 16:49:39 by wave++ <wavexx@users.sf.net>

	updated docs about irix_pcp

Change 37 on 2003/01/12 16:40:54 by wave++ <wavexx@users.sf.net>

	driver subsystem lacks of flexibility

Change 36 on 2003/01/12 16:40:31 by wave++ <wavexx@users.sf.net>

	added infos about irix_pcp

Change 35 on 2003/01/12 16:40:06 by wave++ <wavexx@users.sf.net>

	added infos about the new pixmap, and the irix driver

Change 34 on 2003/01/12 16:13:10 by wave++ <wavexx@users.sf.net>

	documentation about -Q

Change 33 on 2003/01/12 16:12:15 by wave++ <wavexx@users.sf.net>

	device timers are now handled externally so the "timer" now works with any
	driver indipendendly.
	However, the initial device timestamp resposability is still delegated
	to the driver, so you need at least a device restart to the "timer" to appear.

Change 32 on 2003/01/12 15:56:50 by wave++ <wavexx@users.sf.net>

	Added -Q to contrast with -q

Change 31 on 2003/01/12 15:50:24 by wave++ <wavexx@users.sf.net>

	re-fixed the led control mechanism

Change 30 on 2003/01/12 15:42:55 by wave++ <wavexx@users.sf.net>

	Completed the implementation of the IRIX PCP driver.

Change 29 on 2003/01/12 14:38:01 by wave++ <wavexx@users.sf.net>

	Added checks for irix_pcp

Change 28 on 2003/01/12 14:33:15 by wave++ <wavexx@users.sf.net>

	Cosmetic fixes (removed the usage of gettimeofday).
	Corrected the implementation for the graph smoothing.

Change 27 on 2003/01/12 14:29:45 by wave++ <wavexx@users.sf.net>

	changed the main pixmap, reducing the number of used colors in the chart.

Change 26 on 2003/01/12 14:26:14 by wave++ <wavexx@users.sf.net>

	master.xpm

Change 25 on 2003/01/12 14:26:00 by wave++ <wavexx@users.sf.net>

	README.master.xpm

Change 24 on 2003/01/08 15:57:39 by wave++ <wavexx@users.sf.net>

	a good value for smooth is 0.1, not 0.01.

Change 23 on 2003/01/08 15:51:31 by wave++ <wavexx@users.sf.net>

	fixed average sampling (it would only work for the lastest device avaible
	and it would report wrong speeds if avg_steps > 1)
	indentation.

Change 22 on 2003/01/08 12:22:01 by wave++ <wavexx@users.sf.net>

	better checks for bsd net/if_mib.h inclusion

Change 21 on 2003/01/08 11:12:12 by wave++ <wavexx@users.sf.net>

	added the smoothing factor implementation.
	changed sigtly the sampling loop to not use gettimeofday (less timing/rounding
	errors).

Change 20 on 2003/01/08 11:10:04 by wave++ <wavexx@users.sf.net>

	added the smoothing factor, some indentation

Change 19 on 2003/01/08 11:08:29 by wave++ <wavexx@users.sf.net>

	added "smooth" inside the rc file

Change 18 on 2003/01/08 11:07:23 by wave++ <wavexx@users.sf.net>

	informations about smoothing factor

Change 17 on 2003/01/07 20:12:33 by wave++ <wavexx@users.sf.net>

	adding cvs Id number

Change 16 on 2003/01/07 20:11:55 by wave++ <wavexx@users.sf.net>

	added infos about lines and IRIX/AIX's compilers

Change 15 on 2003/01/07 20:10:55 by wave++ <wavexx@users.sf.net>

	added lines to the defauls series of display modes

Change 14 on 2002/12/22 19:56:27 by wave++ <wavexx@users.sf.net>

	new display mode: lines

Change 13 on 2002/12/22 18:52:11 by wave++ <wavexx@users.sf.net>

	linux_proc can be forced to monitor anything

Change 12 on 2002/12/22 18:51:53 by wave++ <wavexx@users.sf.net>

	some spelling fixes

Change 11 on 2002/12/20 19:06:40 by wave++ <wavexx@users.sf.net>

	imported the new definitions for ppp drivers

Change 10 on 2002/12/20 18:52:23 by wave++ <wavexx@users.sf.net>

	removed some useless variabled

Change 9 on 2002/12/20 18:51:13 by wave++ <wavexx@users.sf.net>

	added the enchanged testing driver

Change 8 on 2002/12/20 18:49:37 by wave++ <wavexx@users.sf.net>

	I no longer use the msg_dbg macro with a variable number of arguments.
	I use a static inline function instead.

	Fixed some syntax and indentation.

Change 7 on 2002/12/20 15:46:16 by wave++ <wavexx@users.sf.net>

	better syntax, management of __inline

Change 6 on 2002/12/20 14:49:22 by wave++ <wavexx@users.sf.net>

	ignore auto* files

Change 5 on 2002/12/20 11:30:31 by wave++ <wavexx@users.sf.net>

	even more regenerated files, adding ignores

Change 4 on 2002/12/20 11:30:31 by wave++ <wavexx@users.sf.net>

	even more regenerated files, adding ignores

Change 3 on 2002/12/20 11:26:12 by wave++ <wavexx@users.sf.net>

	more regenerated files

Change 2 on 2002/12/20 11:23:59 by wave++ <wavexx@users.sf.net>

	removing some autogenerated files

Change 1 on 2002/12/20 11:19:38 by wave++ <wavexx@users.sf.net>

	Initial revision

